Replace group
curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"members": [
{
"value": "<string>",
"display": "<string>"
}
]
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id}"
payload = {
"displayName": "<string>",
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
"members": [
{
"value": "<string>",
"display": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
schemas: ['urn:ietf:params:scim:schemas:core:2.0:Group'],
members: [{value: '<string>', display: '<string>'}]
})
};
fetch('https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"displayName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "<string>",
"members": [
{
"value": "<string>",
"display": "<string>"
}
],
"meta": {
"resourceType": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "404",
"detail": "Resource not found."
}Groups
Replace group
Replaces all attributes of an existing group, including its full membership list.
PUT
/
scim
/
v2
/
Groups
/
{id}
Replace group
Authorizations
SCIM bearer token issued from your Cube Cloud account settings.
Path Parameters
The unique SCIM identifier of the resource.
Body
application/json
⌘I